Дефектные обновления [Core], [Extra]

Вопросы по менеджеру пакетов и обновлениям
sinclaus
Аватара пользователя
Сообщения: 47
Зарегистрирован: 27.08.2022

#

кстати - выхлоп lsmod
$ lsmod | grep bt
btusb 65536 0
btrtl 28672 1 btusb
btbcm 24576 1 btusb
btintel 45056 1 btusb
btmtk 16384 1 btusb
bluetooth 942080 38 btrtl,btmtk,btintel,btbcm,bnep,btusb,rfcomm
vantu5z
Аватара пользователя
Сообщения: 17
Зарегистрирован: 05.09.2022

#

После сегодняшнего обновления bluetooth заработал (linux 6.0.10-arch2-1).
Странно, но теперь работает и с ядром 6.0.9-arch1-1, видимо что-то еще обновилось.

Кстати с ядром 6.0.8-arch1-1 выхлоп lsmod был пустой и не было каталога /sys/class/bluetooth/, а bluetooth работал.
Теперь создается каталог и выхлоп lsmod не пустой:
$ lsmod | grep bt
btusb                  65536  0
btrtl                  28672  1 btusb
btbcm                  24576  1 btusb
btintel                45056  1 btusb
btmtk                  16384  1 btusb
bluetooth             942080  30 btrtl,btmtk,btintel,btbcm,bnep,btusb,rfcomm
Вот что удалось найти по устройству:
# lspci -v
25:00.0 Network controller: Intel Corporation Centrino Advanced-N 6230 [Rainbow Peak] (rev 34)
	DeviceName: WLAN
	Subsystem: Intel Corporation Centrino Advanced-N 6230 AGN
	Flags: bus master, fast devsel, latency 0, IRQ 41
	Memory at d4700000 (64-bit, non-prefetchable) [size=8K]
	Capabilities: [c8] Power Management version 3
	Capabilities: [d0] MSI: Enable+ Count=1/1 Maskable- 64bit+
	Capabilities: [e0] Express Endpoint, MSI 00
	Capabilities: [100] Advanced Error Reporting
	Capabilities: [140] Device Serial Number 00-db-df-ff-ff-22-a5-6a
	Kernel driver in use: iwlwifi
	Kernel modules: iwlwifi
$ btmgmt info
Index list with 1 item
hci0:	Primary controller
	addr 00:DB:DF:22:A5:6E version 5 manufacturer 2 class 0x6c010c
	supported settings: powered connectable fast-connectable discoverable bondable link-security ssp br/edr debug-keys phy-configuration 
	current settings: powered ssp br/edr 
	name vantu5z-book
	short name
ugras
Аватара пользователя
Сообщения: 73
Зарегистрирован: 11.09.2022

#

upgraded libxcursor (1.2.1-2 -> 1.2.1-3)
Это не дефект, но требует ручного вмешательства. Sway. Внезапно слетела тема курсоров. Не совсем, но на половине окон.
В логах pacman'а признание в маленькой подлости:
warning: /usr/share/icons/default/index.theme saved as /usr/share/icons/default/index.theme.pacsave
Вангую, что правила игры поменялись и файл /usr/share/icons/default/index.theme теперь не роляет. Но в указанном каталоге видим симлинк /usr/share/icons/default/cursors указывающий на /usr/share/icons/Adwaita/cursors.
Ну что ж,
sudo mv /usr/share/icons/default/cursors  /usr/share/icons/default/cursors.back
sudo ln -s /usr/share/icons/Chameleon-White-Regular/cursors /usr/share/icons/default/cursors
и справедливость восстановлена.
leonardo
Аватара пользователя
Сообщения: 6
Зарегистрирован: 02.09.2022

#

ugras, спасибо.
vall
Аватара пользователя
Администрация
Сообщения: 520
Зарегистрирован: 09.08.2022

#

Сегодня впервые в своей практике столкнулся
$ sudo pacman -Syu
ошибка: ошибка GPGME: Нет данных
:: Обновление баз данных пакетов...
 core                                   152,5 KiB   190 KiB/s 00:01 [#####################################] 100%
 extra is up to date
 community is up to date
 multilib is up to date
ошибка: ошибка GPGME: Нет данных
ошибка: failed to synchronize all databases (непредвиденная ошибка)
После поиска в интернет помогло
$ sudo rm -r /var/lib/pacman/sync
и затем обновление прошло без ошибок.

P.S. На ноутбуке всё обновилось без проблем.
RusWolf
Аватара пользователя
Сообщения: 151
Зарегистрирован: 16.08.2022

#

vall:P.S. На ноутбуке всё обновилось без проблем.
Значит на компе, где проблема, были ошибки файловой системы.

Arch Linux x86-64 на BTRFS

vall
Аватара пользователя
Администрация
Сообщения: 520
Зарегистрирован: 09.08.2022

#

Не могу прокомментировать, не было времени вникать. Но содержание удалённой папки sync вызывает вопросы. Как так вышло - непонятно.

Репозиторий archlinuxcn года три-четыре назад подключал на один раз посмотреть и тут же удалил. Предыдущее обновление системы прошло успешно, никаких тревожных сообщений в konsole не наблюдал.
Изображение
LactoseFree
Аватара пользователя
Сообщения: 2
Зарегистрирован: 18.08.2022

#

vall: Сегодня впервые в своей практике столкнулся
$ sudo pacman -Syu
ошибка: ошибка GPGME: Нет данных
:: Обновление баз данных пакетов...
 core                                   152,5 KiB   190 KiB/s 00:01 [#####################################] 100%
 extra is up to date
 community is up to date
 multilib is up to date
ошибка: ошибка GPGME: Нет данных
ошибка: failed to synchronize all databases (непредвиденная ошибка)
После поиска в интернет помогло
$ sudo rm -r /var/lib/pacman/sync
и затем обновление прошло без ошибок.

P.S. На ноутбуке всё обновилось без проблем.

В точности идентичная ситуация произошла со мной на неделе.

Что бы это могло быть?
indeviral
Аватара пользователя
Сообщения: 176
Зарегистрирован: 15.08.2022

#

LactoseFree:Что бы это могло быть?
Да много чего. Может некорректно что-то скачало, может быть на диск что-то не так записалось, а может даже просто по времени разбежка случилась.
Если будет повторяться, стоит что-то смотреть. Единичный случай можно списать на баг.

Ошибки в тексте-неповторимый стиль автора©

LactoseFree
Аватара пользователя
Сообщения: 2
Зарегистрирован: 18.08.2022

#

indeviral:
LactoseFree:Что бы это могло быть?
Да много чего. Может некорректно что-то скачало, может быть на диск что-то не так записалось, а может даже просто по времени разбежка случилась.
Если будет повторяться, стоит что-то смотреть. Единичный случай можно списать на баг.
А может ли это произойти из-за потери пакетов, например? При обновлении соединение жёстко просело и на полминуты всё легло.
indeviral
Аватара пользователя
Сообщения: 176
Зарегистрирован: 15.08.2022

#

LactoseFree:из-за потери пакетов
Может, там конечно есть проверка хэша после скачивания. Но она вполне могла не сработать. Теоретически.

Ошибки в тексте-неповторимый стиль автора©

Colach
Сообщения: 14
Зарегистрирован: 06.01.2023

#

Подскажите, вот такая хрень вышла. При обновлении системы pacman пишет:проверка конфликтов....
ошибка: не удалось подготовить транзакцию (не удалось удовлетворить зависимости)
::installing python-sphinx (6.1.3-1) breaks dependency python-sphinx<6 reguired by python-sphinx_design
-ошибка установки пакетов из репозиториев. На этом остановка обновления.
Как это устранить?
vasek
Сообщения: 358
Зарегистрирован: 31.08.2022

#

Colach:Как это устранить?
Правильно понимаю, что у тебя установлено два пакета
- python-sphinx, community, v. 6.1.3-1
- python-sphinx_design, AUR, v. 0.3.0-1
Если да, то если ставишь пакеты из AUR, то и будь готов к решению проблем самостоятельно.
AUR не оффициальный репозитарий, а потому частенько вылазят ошибки и как правило в основном связанные с зависимостями.
При наличии проблем в первую очередь рекомендую зайти в AUR и посмотреть, описана ли эта проблема в коментариях и что рекомендует выполнить сопровождающий пакет, если проблема не описана, опиши ее сам и жди ответа. Либо решай проблему сам.
В данном случае проблему уже описали - проблема связана с зависимостью, что вообщем то видно и из логов.

PS - если пакет python-sphinx_design пока не очень то и нужен, то удали его ... если пакет python-sphinx_design так необходим, то можно попробовать понизить версию пакета python-sphinx и временно заморозить - получится или это, сказать трудно.

Ошибки не исчезают с опытом - они просто умнеют

RusWolf
Аватара пользователя
Сообщения: 151
Зарегистрирован: 16.08.2022

#

Colach:Как это устранить?
Для начала, начать задавать вопросы в нужной теме.
Твоя проблема с пакетом из AUR, никак не относится к данной теме.

Arch Linux x86-64 на BTRFS

Colach
Сообщения: 14
Зарегистрирован: 06.01.2023

#

vasek
Вам спасибо,пакет "python-sphhinx_design AUR ,v.0.3.0-1 удален. Обновление завершилось успешно,но по какой причине он установился я не знаю.Тем более pamac выдает ошибку даже в установке официальных репо.Все установки проходят через консоль.Вам еще раз спасибо.
indeviral
Аватара пользователя
Сообщения: 176
Зарегистрирован: 15.08.2022

#

По моему наступает смутное время...
Вложения
poe1.png

Ошибки в тексте-неповторимый стиль автора©

vasek
Сообщения: 358
Зарегистрирован: 31.08.2022

#

Кто использует ppp рекомендую пока не обновляться .... был вынужден откатиться на старую версию ppp 2.4.9-3
Погуглив, нашел это
https://bbs.archlinux.org/viewtopic.php?id=288717
https://bbs.archlinux.org/viewtopic.php?id=288739
https://bugs.archlinux.org/task/79655?p ... &sort=desc

Ошибки не исчезают с опытом - они просто умнеют

vall
Аватара пользователя
Администрация
Сообщения: 520
Зарегистрирован: 09.08.2022

#

SmiGes: По традиции прошлого форума описываем проблемы возникшие после обновлений пакетов из веток [Core], [Extra],[Community], а так же способы их решения.
В связи с недавними изменениями в репозиториях ветка переименована для приведения топика в соответствие с фактическим положением дел.
Ответить